Subject: bug#11188: closed (Re: bug#11188: guile-2.0.5 issues on Solaris 11 x86_64)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 05 Jul 2012 12:56:08 +0000

Your bug report

#11188: guile-2.0.5 issues on Solaris 11 x86_64

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11188: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11188
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11188: guile-2.0.5 issues on Solaris 11 x86_64
From: Andy Wingo <[email-masked]>
To: "Nelson H. F. Beebe" <[email-masked]>
Cc: [email-masked]
Date: Thu, 05 Jul 2012 10:06:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu 05 Apr 2012 18:03, "Nelson H. F. Beebe" <[email-masked]> writes:

> When I attempt to build guile-2.0.5 with cc or c99, I get compilation
> failures:
>
>   CC     libguile_2.0_la-control.lo
> "control.c", line 267: directive not honored in macro argument list

Hi Nelson,

I think this bug was fixed in 5556c17511ce19f6dfa9fc6cef0e12cf90282e9b,
shortly after 2.0.5.  I am provisionally marking this bug as done.
Would you mind trying with a snapshot?  We are due to release 2.0.6
shortly, so prompt feedback would be helpful.

Andy
-- 
http://wingolog.org/

Subject: guile-2.0.5 issues on Solaris 11 x86_64
From: "Nelson H. F. Beebe" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 5 Apr 2012 10:03:29 -0600 (MDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Solaris 11 x86_64 ships with native c89, cc, and c99, and has
an optional package that supplies gcc-3.4.3 (csl-sol210-3_4-20050802).
I have tried repeatedly to build many snapshots of the gc-4.x (x = 1, 2,
3, ..., 8) on this platform, and have never succeeded.  Thus, there
is a paucity of modern C compilers.

With gcc and either -O2 or -g compilation of guile-2.0.5, there is
a single test failure, arising from an internal assertion failure:

make[5]: Entering directory `/local/build/bare/guile-2.0.5/test-suite/standalone'
Assertion failed: SCM_I_IS_THREAD (data.thread), file threads.c, line 1135
/bin/sh: line 10: 23222: Abort
FAIL: test-system-cmds
...
==================================
1 of 27 tests failed
(1 test was not run)
Please report to [email-masked]
==================================

When I attempt to build guile-2.0.5 with cc or c99, I get compilation
failures:

  CC     libguile_2.0_la-control.lo
"control.c", line 267: directive not honored in macro argument list
"control.c", line 280: directive not honored in macro argument list
"control.c", line 287: EOF in argument list of macro: SCM_SNARF_INIT
"control.c", line 114: EOF in argument list of macro: SCM_SNARF_INIT
"control.c", line 114: syntax error before or at: =
"control.c", line 114: warning: old-style declaration or incorrect type for:
SCM_SNARF_INIT
"control.c", line 114: syntax error before or at: sizeof
"control.c", line 114: warning: undefined or missing type for: sizeof
"control.c", line 114: warning: old-style declaration or incorrect type for: memcpy
"control.c", line 114: identifier redeclared: memcpy
        current : function() returning int
        previous: function(restrict pointer to void, restrict pointer to const void,
unsigned int) returning pointer to void : "/usr/include/iso/string_iso.h", line 54
"control.c", line 114: warning: syntax error:  empty declaration
"control.c", line 114: non-constant initializer: op "NAME"
"control.c", line 114: non-constant initializer: op "NAME"
"control.c", line 114: syntax error before or at: =
"control.c", line 114: warning: old-style declaration or incorrect type for:
SCM_SNARF_INIT
"control.c", line 114: syntax error before or at: sizeof
"control.c", line 114: warning: undefined or missing type for: sizeof
"control.c", line 114: warning: old-style declaration or incorrect type for: memcpy
"control.c", line 114: identifier redefined: memcpy
        current : function() returning int
        previous: function() returning int : "control.c", line 114
"control.c", line 114: warning: syntax error:  empty declaration
"control.c", line 114: syntax error before or at: <EOF>
c99: acomp failed for control.c

What can we do to eliminate the cause of the assertion failure,
and those compilation errors?

-------------------------------------------------------------------------------
- Nelson H. F. Beebe                    Tel: +1 801 581 5254                  -
- University of Utah                    FAX: +1 801 581 4148                  -
- Department of Mathematics, 110 LCB    Internet e-mail: [email-masked]  -
- 155 S 1400 E RM 233                       [email-masked]  [email-masked] -
- Salt Lake City, UT 84112-0090, USA    URL: http://www.math.utah.edu/~beebe/ -
-------------------------------------------------------------------------------